import { ILogger, IRetrier } from '../../utilities';

export declare class Retrier implements IRetrier {
    private logger;
    constructor(logger: ILogger);
    private getWaitTime;
    execute<T>(action: (cancel: () => void) => Promise<T>, maxRetryCount?: number, minWaitTime?: number, maxWaitTime?: number, onError?: (error: any) => Promise<void>): Promise<T>;
}
